Subject: 26.3; Sending Mail to Recipient without public key

From: passt mu4e1 <[email-masked]>
Date: Tue, 10 Mar 2020 10:27:57 +0100

I configured to encrypt all outgoing mail via customize. When I try to
send an email to a recipient, from which I don't have a public key, I'm
getting asked, if I wan't to skip it. If I confirm, I'm getting the
error-message: mml-secure-recipients: No recipient specified. My
expectation would have been, that I send the mail unencrypted.

If I have multiple multiple recipients and I don't have the key from one
of them, I'm getting asked again wether I want to skip the recipient. If
I accept, he gets a weird message with the following contents:

Attachment: [1. application/pgp-encrypted]...

[[PGP Encrypted Part:Failed]]
[1. application/pgp-encrypted]...

[[End of PGP Encrypted Part]]

The other recipients get a normal encrypted email.

In GNU Emacs 26.3 (build 5, x86_64-pc-linux-gnu, GTK+ Version 3.24.12)
 of 2020-02-23 built on laptop
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
System Description:	Ubuntu 19.10

Recent messages:
Mark set
Saving file /home/mm/Mail/mu4e1/Drafts/cur/1583831476.8a33d52a100310d0.laptop:2,DS...
Mark set
Wrote /home/mm/Mail/mu4e1/Drafts/cur/1583831476.8a33d52a100310d0.laptop:2,DS
[mu4e] Saved (10 lines)
Sending...
Mark set [2 times]
No encrypt key for <[email-masked]>; skip it? (y or n) y
mml-secure-recipients: No recipient specified

Configured using:
 'configure --with-modules --with-xml2'

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY LIBSELINUX GNUTLS
LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES
THREADS LIBSYSTEMD

Important settings:
  value of $LC_MONETARY: de_DE.UTF-8
  value of $LC_NUMERIC: de_DE.UTF-8
  value of $LC_TIME: de_DE.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8

Major mode: Messages

Minor modes in effect:
  pyvenv-mode: t
  helm--remap-mouse-mode: t
  company-quickhelp-mode: t
  company-quickhelp-local-mode: t
  global-company-mode: t
  company-mode: t
  global-git-gutter-mode: t
  global-magit-file-mode: t
  diff-auto-refine-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  which-key-mode: t
  override-global-mode: t
  recentf-mode: t
  savehist-mode: t
  show-paren-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e hides /home/mm/.emacs.d/elpa/mu4e-0.0/mu4e
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-vars hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-vars
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-contrib hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-contrib
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-headers hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-headers
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-message hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-message
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-icalendar hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-icalendar
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-meta hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-meta
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-main hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-main
/home/mm/.emacs.d/lisp/mu/mu4e/org-mu4e hides /usr/local/share/emacs/site-lisp/mu4e/org-mu4e
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-mark hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-mark
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-compose hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-compose
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e hides /usr/local/share/emacs/site-lisp/mu4e/mu4e
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-org hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-org
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-view hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-view
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-proc hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-proc
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-utils hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-utils
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-lists hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-lists
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-actions hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-actions
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-draft hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-draft
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-context hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-context
/home/mm/.emacs.d/lisp/mu/mu4e/mu4e-speedbar hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-speedbar

Features:
(shadow emacsbug mail-extr sort view anti-zenburn-theme winner
helm-command helm-elisp helm-eval edebug helm-info helm-mode
smartparens-config smartparens-org smartparens-text smartparens-python
smartparens flycheck rx hydra lv yasnippet-snippets yasnippet elec-pair
highlight-indentation flymake-proc flymake warnings help-fns radix-tree
elpy elpy-rpc pyvenv esh-var esh-io esh-cmd esh-opt esh-ext esh-proc
esh-arg esh-groups eshell esh-module esh-mode esh-util elpy-shell
elpy-profile elpy-django s elpy-refactor python tramp-sh tramp
tramp-compat tramp-loaddefs trampver ucs-normalize files-x vterm color
term disp-table ehelp vterm-module helm-projectile helm-files helm-tags
helm-buffers helm-occur helm-grep helm-regexp helm-utils helm-locate
helm-help helm-types helm helm-source eieio-compat helm-multi-match
helm-lib projectile grep compile ibuf-ext ibuffer ibuffer-loaddefs
ediff-merg ediff-wind ediff-diff ediff-mult ediff-help ediff-init
ediff-util ediff cus-edit cus-start cus-load company-quickhelp pos-tip
company-oddmuse company-keywords company-etags etags xref project
company-gtags company-dabbrev-code company-dabbrev company-files
company-capf company-cmake company-xcode company-clang company-semantic
company-eclim company-template company-bbdb company pcase dired-x
doom-themes-ext-org doom-themes-ext-treemacs doom-themes-ext-neotree
doom-themes-ext-visual-bell face-remap doom-tomorrow-night-theme
doom-themes doom-themes-base git-gutter magit-submodule magit-obsolete
magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull
magit-fetch magit-clone magit-remote magit-commit magit-sequence
magit-notes magit-worktree magit-tag magit-merge magit-branch
magit-reset magit-files magit-refs magit-status magit magit-repos
magit-apply magit-wip magit-log which-func imenu magit-diff smerge-mode
diff-mode magit-core magit-autorevert autorevert filenotify magit-margin
magit-transient magit-process magit-mode git-commit transient magit-git
magit-section magit-utils crm log-edit pcvs-util add-log with-editor
async-bytecomp async shell server dash ob-restclient restclient json map
url url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util which-key cl-extra help-mode org-mu4e mu4e desktop
frameset mu4e-org mu4e-main mu4e-headers mu4e-view thingatpt browse-url
gnus-art mm-uu mml2015 mm-view mml-smime smime dig mailcap gnus-sum
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source tls
gnutls utf7 netrc nnoo parse-time gnus-spec gnus-int gnus-range gnus-win
gnus nnheader mu4e-compose mu4e-context mu4e-draft mu4e-actions
org-capture ido rfc2368 smtpmail sendmail mu4e-mark mu4e-message
flow-fill mu4e-proc mu4e-utils edmacro kmacro doc-view jka-compr
image-mode mu4e-lists hl-line mu4e-vars message rmc puny dired
dired-loaddefs rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 mm-util ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils
mailheader mu4e-meta use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key use-package-core
finder-inf info package epg-config url-handlers url-parse auth-source
eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars seq
byte-opt bytecomp byte-compile cconv gv recentf tree-widget wid-edit
savehist paren org-element cl-seq avl-tree generator org advice
org-macro org-footnote org-pcomplete pcomplete org-list org-faces
org-entities noutline outline easy-mmode org-version ob-emacs-lisp ob
ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint comint
ansi-color ring ob-core ob-eval org-compat org-macs org-loaddefs
format-spec find-func cal-menu easymenu calendar cal-loaddefs subr-x
cl-loaddefs cl-lib time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 826658 449740)
 (symbols 48 59755 1)
 (miscs 40 117 430)
 (strings 32 205403 34103)
 (string-bytes 1 6283355)
 (vectors 16 92735)
 (vector-slots 8 1420112 267504)
 (floats 8 744 413)
 (intervals 56 1286 430)
 (buffers 992 21))